Reinforcement HelicalRebar: Difference between revisions

From FreeCAD Documentation
m (docnav)
(Marked this version for translation)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
{{docnav|[[Arch_Rebar_Stirrup|Stirrup Rebar]]|[[Arch_Rebar|Rebar]]|[[Arch_Module|Arch]]}}
<!--T:1-->
<!--T:1-->
{{docnav|[[Arch_Rebar_Stirrup|Stirrup Rebar]]|[[Arch_Rebar|Rebar]]|[[Arch_Module|Arch]]}}
{{GuiCommand
{{GuiCommand
|Name=Arch Rebar Helical
|Name=Arch Rebar Helical
Line 16: Line 16:
The [[Arch Rebar Helical|Helical Rebar]] tool allows the user to create a continuous helical reinforcing bar inside an [[Arch Structure]] object.
The [[Arch Rebar Helical|Helical Rebar]] tool allows the user to create a continuous helical reinforcing bar inside an [[Arch Structure]] object.


<!--T:16-->
This command is part of the [[Reinforcement Addon]], that you can install with the [[Addon Manager]], via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.
This command is part of the [[Reinforcement Addon]], that you can install with the [[Addon Manager]], via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.


Line 38: Line 39:
# Click {{Button|Cancel}} to exit the task panel.
# Click {{Button|Cancel}} to exit the task panel.


<!--T:17-->
[[Image:HelicalRebarDialog.png|250px]]
[[Image:HelicalRebarDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar Helical tool}}
{{Caption|Taskview panel for the Arch Rebar Helical tool}}
Line 68: Line 70:
* {{incode|pitch}} is the parameter that determines how close or far apart each spiral loop is to each other.
* {{incode|pitch}} is the parameter that determines how close or far apart each spiral loop is to each other.


=== Example ===
=== Example === <!--T:18-->
</translate>
</translate>
{{Code|code=
{{Code|code=
Line 82: Line 84:
<translate>
<translate>


=== Edition of the rebar ===
=== Edition of the rebar === <!--T:19-->
You can change the properties of the rebar with the following function
You can change the properties of the rebar with the following function


Line 91: Line 93:
<translate>
<translate>


<!--T:20-->
* {{incode|Rebar}} is a previously created {{incode|HelicalRebar}} object.
* {{incode|Rebar}} is a previously created {{incode|HelicalRebar}} object.
* The other parameters are the same as required by the {{incode|makeHelicalRebar()}} function.
* The other parameters are the same as required by the {{incode|makeHelicalRebar()}} function.
Line 102: Line 105:
}}
}}
<translate>
<translate>
{{docnav|[[Arch_Rebar_Stirrup|Stirrup Rebar]]|[[Arch_Rebar|Rebar]]|[[Arch_Module|Arch]]}}
<!--T:15-->
<!--T:15-->
{{docnav|[[Arch_Rebar_Stirrup|Stirrup Rebar]]|[[Arch_Rebar|Rebar]]|[[Arch_Module|Arch]]}}
{{Arch Tools navi}}
{{Arch Tools navi}}
{{Userdocnavi}}
{{Userdocnavi}}

Revision as of 17:31, 30 January 2019

Arch Rebar Helical

Menu location
Arch → Rebar tools
Workbenches
Arch, BIM
Default shortcut
None
Introduced in version
0.17
See also
Stirrup Rebar, Arch Rebar

Description

The Helical Rebar tool allows the user to create a continuous helical reinforcing bar inside an Arch Structure object.

This command is part of the Reinforcement Addon, that you can install with the Addon Manager, via the menu Tools → Addon manager → Reinforcement.

One continuous helical reinforcement bar inside an Arch Structure

How to use

  1. Select any face of a previously created Arch Structure object.
  2. Then select Helical Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar.
  6. Select the mode of distribution either amount or spacing.
  7. If spacing is selected, a user can also opt for custom spacing.
  8. Pick selected face is used to verify or change the face for rebar distribution.
  9. Click OK or Apply to generate the rebars.
  10. Click Cancel to exit the task panel.

Taskview panel for the Arch Rebar Helical tool

Properties

  • DataSide Cover: The distance between rebar to the curved face.
  • DataTop Cover: The distance between rebar from the top face of the structure.
  • DataBottom Cover: The distance between rebar from the bottom face of the structure.
  • DataPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • DataDiameter: Diameter of the rebar.

Scripting

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The Helical Rebar tool can be used in macros and from the Python console by using the following function:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • s_cover, b_cover, and t_cover are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.
  • diameter is the diameter of the reinforcement spiral inside the structure.
  • pitch is the parameter that determines how close or far apart each spiral loop is to each other.

Example

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Edition of the rebar

You can change the properties of the rebar with the following function

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar is a previously created HelicalRebar object.
  • The other parameters are the same as required by the makeHelicalRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)